gstreamermm: Gst::Funnel Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::Funnel Class Reference
gstreamermm Plugins

A Wrapper for the funnel plugin. More...

Inheritance diagram for Gst::Funnel:
[legend]
Collaboration diagram for Gst::Funnel:
[legend]

List of all members.

## Public Member Functions
virtual | ~Funnel ()
GstFunnel* | gobj ()
| Provides access to the underlying C GObject.
const GstFunnel* | gobj () const
| Provides access to the underlying C GObject.
GstFunnel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr< Funnel > | create ()
| Creates a new funnel plugin with a unique name.
static Glib::RefPtr< Funnel > | create (const Glib::ustring& name)
| Creates a new funnel plugin with the given name.
## Protected Member Functions
| Funnel ()
| Funnel (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::Funnel > | wrap (GstFunnel* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the funnel plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::Funnel::~Funnel | ( |  | ) | `[virtual]`

Gst::Funnel::Funnel | ( |  | ) | `[protected]`

Gst::Funnel::Funnel | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Funnel> Gst::Funnel::create | ( |  | ) | `[static]`

Creates a new funnel plugin with a unique name.

static Glib::RefPtr<Funnel> Gst::Funnel::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new funnel plugin with the given name.

const GstFunnel* Gst::Funnel::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstFunnel* Gst::Funnel::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstFunnel* Gst::Funnel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::Funnel > wrap | ( | GstFunnel * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/funnel.h